Name:		bcd
Version:	3.7
Release:	%mkrel 10
Summary:	Iso builder for Mageia
Source0:	%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		System/Packaging
Url:		http://gitweb.mageia.org/software/build-system/bcd/
Requires:	perl-File-Copy-Recursive sudo urpmi perl-Parallel-ForkManager
Requires:	cdrkit-genisoimage cdrkit-isotools syslinux
Requires:	gfxboot mageia-gfxboot-theme drakxtools-backend rpmcheck rpmtools
Buildrequires:	perl-LaTeX-Driver 
Buildrequires:	perl-Class-Accessor 
Buildrequires:	texlive-fontsextra
BuildRequires:	perl-Pod-LaTeX
BuildArch:	noarch


%description
Create Mageia DVD and CD ISO usinf drakx installer
- configuration file is now in XML format
- use of genhdlist2 with file-deps
- support the add of isolinux entry
- change the theme on all.rdz files
- just need an input and an exclude file per media
- write media.cfg
- use input or exclude list for each media
- use custom rpmsrate of compssusers.pl
- all sub-media supported (updates, testing...)
- iso HEADER
- suggests option per media
- md5 in a file
- create a product.id file
- create a VERSION file
- support rpmsrate CAT


%prep
%setup -q

%build
%make
%make pdf

%install
%make install PREFIX=$RPM_BUILD_ROOT

%files
%doc README *.xml lists create_dvd.sh create_dual.sh doc/*.pdf
%{_bindir}/bcd
%{_bindir}/*.pl
%{perl_vendorlib}/BCD
%{perl_vendorlib}/%{name}.pod
%{_mandir}/man1/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 3.7-10.mga6
+ Revision: 1022100
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 3.7-9.mga6
+ Revision: 935002
- Mageia 6 Mass Rebuild

  + ovitters <ovitters>
    - update URL

* Wed Oct 15 2014 umeabot <umeabot> 3.7-8.mga5
+ Revision: 742406
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 3.7-7.mga5
+ Revision: 693504
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.7-6.mga5
+ Revision: 678127
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 pterjan <pterjan> 3.7-5.mga5
+ Revision: 634589
- Add BuildRequires

* Fri Oct 18 2013 umeabot <umeabot> 3.7-4.mga4
+ Revision: 521381
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 3.7-3.mga3
+ Revision: 390730
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 3.7-2.mga3
+ Revision: 346880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 ennael <ennael> 3.7-1.mga3
+ Revision: 255793
- update for Mageia 2  release and further
- initial import for bcd
- imported package bcd

